Bug 2535 - <proxy-file causes container to fail
: <proxy-file causes container to fail
Status: RESOLVED FIXED
: Java WS Security
Authentication
: 1.1.3
: All All
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-01-07 17:27 by
Modified: 2005-05-03 11:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-07 17:27:22
With the following in my securityConfig:

<credential>
    <proxy-file value="/tmp/x509up_u2311"/>
</credential>

I get the following exception and the container fails to start:

2005-01-07 17:25:57,833 DEBUG security.SecurityManagerImpl [main,getSystemSubject:76] [SEC] Error 
obtaining container credentials
org.globus.wsrf.config.ConfigException: Failed to initialize container security config [Caused by:  
[Caused by: Credential element should have path to key and cert file.]]. Caused by 
org.globus.wsrf.config.ConfigException:  [Caused by: Credential element should have path to key and 
cert file.]. Caused by 
org.globus.wsrf.impl.security.descriptor.SecurityDescriptorException: Credential element should have 
path to key and cert file.
        at 
org.globus.wsrf.impl.security.descriptor.CredentialParamsParser.parse(CredentialParamsParser.java:74)
        at org.globus.wsrf.impl.security.descriptor.util.ElementParser.parse(ElementParser.java:61)
        at 
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.initSecurityDescriptor(ContainerSecurit
yConfig.java:114)
        at 
org.globus.wsrf.impl.security.descriptor.SecurityConfig.loadSecurityDescriptor(SecurityConfig.java:196)
        at org.globus.wsrf.impl.security.descriptor.SecurityConfig.initialize(SecurityConfig.java:161)
        at 
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.initialize(ContainerSecurityConfig.java:
92)
        at 
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.getConfig(ContainerSecurityConfig.jav
a:80)
        at 
org.globus.wsrf.impl.security.descriptor.ContainerSecurityConfig.getConfig(ContainerSecurityConfig.jav
a:68)
        at org.globus.wsrf.impl.security.SecurityManagerImpl.getSystemSubject(SecurityManagerImpl.java:
71)
        at org.globus.wsrf.impl.security.SecurityManagerImpl.getServiceSubject(SecurityManagerImpl.java:
115)
        at org.globus.wsrf.container.ServiceManager.initializeService(ServiceManager.java:171)
        at org.globus.wsrf.container.ServiceManager.start(ServiceManager.java:113)
        at org.globus.wsrf.container.ServiceDispatcher.<init>(ServiceDispatcher.java:97)
        at org.globus.wsrf.container.GSIServiceDispatcher.<init>(GSIServiceContainer.java:78)
        at org.globus.wsrf.container.GSIServiceContainer.start(GSIServiceContainer.java:47)
        at org.globus.wsrf.container.ServiceContainer.<init>(ServiceContainer.java:193)
        at org.globus.wsrf.container.GSIServiceContainer.<init>(GSIServiceContainer.java:41)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)        at 
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
        at 
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:
27)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:274)
        at org.globus.wsrf.container.ServiceContainer.createContainer(ServiceContainer.java:130)
        at org.globus.wsrf.container.ServiceContainer.startSecurityContainer(ServiceContainer.java:395)
        at org.globus.wsrf.container.ServiceContainer.main(ServiceContainer.java:356)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:324)
        at org.globus.bootstrap.Bootstrap.main(Bootstrap.java:83)
------- Comment #1 From 2005-01-08 04:39:28 -------
Hmm for some reason my update to this didn't take. It's not a bug per se: the
<proxy> tag can not occur within a <credential> tag. I agree that it should be
changed for consistency though (needs to be a proposed interface change).

/Sam
------- Comment #2 From 2005-05-03 11:40:11 -------
Fix committed to trunk